#ifndef THERMALCONTROLLER_H
#define THERMALCONTROLLER_H

#include <string>

class ThermalController
{
private:
    /**
     * @brief CPU温度路径
     */
    std::string cpuThermalPath;
public:

    ThermalController();
    ~ThermalController();

    /**
     * @brief 查找温度路径
     */
    void findThermalPath();

    /**
     * @brief 获取CPU温度
     * @return float CPU温度（摄氏度）
     */
    float getCpuTemp();

};

#endif